package com.zswl.cloud.springBtach.server.core.api.paotui.model.request;

import com.zswl.cloud.springBtach.server.core.api.paotui.model.Base;
import lombok.Data;

@Data
public class DeliveryPriceRequest extends Base {

    private int dispatchMode;           // 发单模式: 1.省钱 2.最快 3.指派 4.价格从低到高依次呼叫
    private String logistic;            // ⚠️指派模式3: 配送平台 示例：uupt 或 dada,uupt
    private String shopId;              // 你方门店ID 示例: 99999
    private String originId;            // 你方订单号 示例: 123456
    private String receiverLongitude;   // 收件人经度 示例: 120.749981
    private String receiverLatitude;    // 收件人纬度 示例: 32.099328
    private String receiverAddress;     // 收件人地址 示例: x省x市x区x县x街道x楼x号
    private String receiverName;        // 收件人姓名 示例: 张三
    private String receiverPhone;       // 收件人手机号 示例: 18292225222
    private Integer goodsValue;         // 物品价格 [单位: 分] 示例: 1000
    private int goodsWeight;            // 物品重量 [单位: kg] 示例: 3
    private int goodsCategory;          // 物品类型，详见物品类别枚举值
    private Integer deliveryTime;       // 期望送达时间（秒级时间戳） 示例: 1665486622
    private int mapType;                // 坐标类型：1.高德 2.百度
    private String orderSource;         // 订单来源，详见订单来源枚举值
    private Boolean needReturnError;    // 是否包含配送方计价失败信息 示例: true 或 false

}
