package com.zswl.cloud.springBtach.server.core.api.paotui.model.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class OrderResponse {


    private Integer order_id;       // 我方订单号
    private String origin_id;       // 你方订单号
    private Integer send_time;      // 预计发单时间 (is_subscribe = 1 时返回)
    private Prices prices;         // 价格数据集 (发单模式为2且return_price=1时返回)

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Prices {
        private BigDecimal min_logistic;          // 最便宜配送平台
        private BigDecimal min_price;              // 最低价格 (单位: 元)
        private BigDecimal max_price;              // 最高价格 (单位: 元)
        private Float coupon;                // 优惠金额 (单位: 元)
        private List<PriceDetail> detail;    // 配送详细结果

        @Data
        @NoArgsConstructor
        @AllArgsConstructor
        public static class PriceDetail {
            private String logistic;         // 配送平台
            private String name;             // 配送平台名称
            private Integer distance;        // 距离 (单位: 米)
            private Float coupon;            // 优惠金额 (单位: 元)
            private Float amount;            // 配送费 (单位: 元)
            private String tag;              // 标签 (示例: 最便宜)
        }
    }
}
