package com.zswl.cloud.springBtach.server.core.api.paotui.model.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class StoreQueryResponse {

    private String originId;        // 你方门店ID
    private String shopId;          // 我方门店ID
    private Integer status;         // 门店状态
    private String name;            // 门店名称
    private String city;            // 城市编码
    private String district;        // 区县编码
    private String phone;           // 门店联系电话
    private String address;         // 门店地址
    private Float longitude;        // 门店经度
    private Float latitude;         // 门店纬度
    private Integer category;       // 物品类别
    private Integer mapType;        // 坐标类型
    private Config config;          // 门店配送设置

    // 内部类：门店配置
    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class Config {
        private Integer dispatchMode;     // 派单模式
        private String defaultLogistic;  // 默认配送平台
        private String dispatchOther;    // 兜底配送平台
        private Integer delayDelivery;   // 延迟发单时间
        private Integer autoTips;        // 自动加小费
        private Integer autoResend;      // 自动重发

    }

}
